Subject: [bug#41840] Transmission 3.00

From: Marius Bakke <[email-masked]>
Date: Sun, 12 Jul 2020 00:53:04 +0200

Leo Famulari <[email-masked]> writes:

> On Wed, Jun 17, 2020 at 01:31:31AM -0400, Leo Famulari wrote:
>> I haven't updated the package yet because it doesn't work reliably for
>> me — sometimes it can connect to trackers, and sometimes it can't. I
>> don't know why yet.
>
> For some reason, this new version of Transmission fails to find the
> X.509 certificate bundle in its default location while using curl.
>
> It works fine when I set, for example:
>
> CURL_CA_BUNDLE=/etc/ssl/certs/ca-certificates.crt
>
> I wonder, what's the best way for us to handle this? Our curl package
> has a CURL_CA_BUNDLE search path. And some other packages have bits to
> make things work.

This is <https://issues.guix.gnu.org/22138>, right?

I think setting native-search-paths on Transmission as a workaround is
OK for now.